### Constructor

# Gtk Video new_for_resource

#### Declaration [src]

    GtkWidget*
    gtk_video_new_for_resource (
      const char* resource_path
    )

#### Description [src]

Creates a `GtkVideo` to play back the resource at the given `resource_path`.

This is a utility function that calls gtk_video_new_for_file().

#### Parameters

`resource_path` | `const char*`
| Resource path to play back.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GtkWidget`
| A new `GtkVideo`.
| The data is owned by the called function.